E-MailRelay

Public Member Functions | List of all members
GNet::DatagramSocket::Config Struct Reference

A configuration structure for GNet::DatagramSocket. More...

`#include <gsocket.h>`

Inheritance diagram for GNet::DatagramSocket::Config:
[legend]
Collaboration diagram for GNet::DatagramSocket::Config:
[legend]

## Public Member Functions
| Config (const Socket::Config &)
Public Member Functions inherited from GNet::Socket::Config
Config & | set_listen_queue (int) noexcept
Config & | set_bind_reuse (bool) noexcept
Config & | set_bind_exclusive (bool) noexcept
Config & | set_free_bind (bool) noexcept
template<typename T >
const T & | set_last ()

## Additional Inherited Members
Public Attributes inherited from GNet::Socket::Config
int | listen_queue {0}
bool | connect_pureipv6 {true}
bool | bind_pureipv6 {true}
bool | bind_reuse {true}
bool | bind_exclusive {false}
bool | free_bind {false}

## Detailed Description

A configuration structure for GNet::DatagramSocket.

Definition at line 432 of file gsocket.h.

## Constructor & Destructor Documentation

## ◆ Config()

GNet::DatagramSocket::Config::Config | ( | const Socket::Config & | base | ) |
| explicit

Definition at line 584 of file gsocket.cpp.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.cpp